For Developers
List Schools
GET https://ed.link/api/v2/graph/schools
Retrieve a list of all Schools.
Request Parameters
This query allows for standard paging parameters.
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Click to Read
This query allows for filtering results.
Read More About Filtering
Developer Guide
Click to Read
Sample Request
axios.get('https://ed.link/api/v2/graph/schools', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "2b610fc6-a2cc-40ac-94e8-f556d451164c",
"created_date": "2025-07-08T16:04:42.901Z",
"updated_date": "2025-12-05T14:25:45.920Z",
"name": "Madison Elementary School",
"picture_url": null,
"locale": null,
"time_zone": "America/Chicago",
"flags": [],
"grade_levels": [ "KG", "01", "02", "03", "04", "05" ],
"district_id": "2fcef336-fe50-4475-9909-626cca8114ec",
"address": {
"street": "618 Gopher Road",
"unit": null,
"postal_code": "97448",
"city": "Gravity Falls",
"state": "Oregon",
"country": "US",
"phone": "555-555-5555",
"latitude": null,
"longitude": null
},
"properties": {},
"identifiers": [
{
"type": "qmlativ_id",
"value": "2"
}
]
},
{
"id": "2b610fc6-a2cc-40ac-94e8-f556d451164c",
"created_date": "2025-07-08T16:04:42.901Z",
"updated_date": "2025-12-05T14:25:45.920Z",
"name": "Chikotee North High School",
"picture_url": null,
"locale": null,
"time_zone": "America/Chicago",
"flags": [],
"grade_levels": [ "06", "07", "08" ],
"district_id": "2fcef336-fe50-4475-9909-626cca8114ec",
"address": {
"street": "555 Skyward Dr",
"unit": null,
"postal_code": "54482",
"city": "Stevens Point",
"state": "WI",
"country": "USA",
"phone": "5555712054",
"latitude": null,
"longitude": null
},
"properties": {},
"identifiers": [
{
"type": "qmlativ_id",
"value": "2"
}
]
},
{
"id": "2b610fc6-a2cc-40ac-94e8-f556d451164c",
"created_date": "2025-07-08T16:04:42.901Z",
"updated_date": "2025-12-05T14:25:45.920Z",
"name": "Washington Elementary School",
"picture_url": null,
"locale": null,
"time_zone": "America/Chicago",
"flags": [],
"grade_levels": [ "09", "10", "11", "12" ],
"district_id": "2fcef336-fe50-4475-9909-626cca8114ec",
"address": {
"street": "555 Skyward Dr",
"unit": null,
"postal_code": "54482",
"city": "Stevens Point",
"state": "WI",
"country": "USA",
"phone": "5555712054",
"latitude": null,
"longitude": null
},
"properties": {},
"identifiers": [
{
"type": "qmlativ_id",
"value": "2"
}
]
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}